# I3DExRemoteCommand Struct Reference
[External Interfaces]

Inheritance diagram for I3DExRemoteCommand:

List of all members.

## Public Member Functions
virtual void MCCOMAPI | Init (ISceneDocument *sceneDocument, void *privateData)=0
virtual boolean MCCOMAPI | Do ()=0
virtual boolean MCCOMAPI | Undo ()=0
virtual boolean MCCOMAPI | Redo ()=0

## Detailed Description

This interface can be used to perform an action associated with a scene command but implemented in a different dll

One reason to use it is that dlls containing scene commands are always loaded into memory when a document is opened. To avoid loading a big dll when you do not need it, you can implement the action performed by the scene command in another dll that will be loaded when the scene command instantiate the object actually implementing the action of the scene command.

## Member Function Documentation

virtual boolean MCCOMAPI I3DExRemoteCommand::Do | ( |  | ) | `[pure virtual]`

Performs the action associated with the scene command the first time the scene command is called.

Returns:
  Returns true if your actually changed something in the Scene

virtual void MCCOMAPI I3DExRemoteCommand::Init | ( | ISceneDocument * | sceneDocument,
|  | void * | privateData |
| ) |  |  | `[pure virtual]`

Called when the scene command is activated.

Use sceneDocument to get the selection or any other Scene data you would need to perform your action

Parameters:

  | sceneDocument | The current scene document.
  | privateData | A pointer to the scene command

virtual boolean MCCOMAPI I3DExRemoteCommand::Redo | ( |  | ) | `[pure virtual]`

Performs the action associated with the scene command when redo is called

Returns:
  True if your actually changed something in the Scene

virtual boolean MCCOMAPI I3DExRemoteCommand::Undo | ( |  | ) | `[pure virtual]`

Undo the action performed by Do or Redo.

Returns:
  Returns true if your actually changed something in the Scene

The documentation for this struct was generated from the following file:

- I3DExRemoteCommand.h